CDCTRL(1)

NAME
cdctrl - command line CDROM control

SYNOPSIS
cdctrl  [device]
cdctrl  -c [device]
cdctrl  -c
cdctrl  [-V|-?|-h]

DESCRIPTION
cdctrl command is a program that opens a CDROM device and may be used for interactive control of the CDROM including play starting at a track, next track, previous track, stop, pause, display info, display CDROM status, and display CDROM directory. This program may be used as a daemon to control an audio CDROM device.

The commands to the cdctrl command are:

    device
        Open CDROM device.

    -V  Print out version and build information.

    -h  Display help.

    -v  Display help.

    -D  Enable runtime debugging.

    -c  Output CR-LF at end of each line, not LF.

By default, cdctrl opens /dev/cdrom, but does not start playing. Output is to standard output with each line terminated by a linefeed (LF).

Commands to cdctrl are:

    1   Play first track, start playing.

    s   Stop playing.

    p   Pause playing.

    r   Resume playing.

    e   Eject CDROM.

    c   Close CDROM tray.

    i   Display info string.

    d   Display directory.

    -   Play previous track.

    +   Play next track. When on last track, play first track.

    [1..99]
        Play track 1..99.

    ?   Display help screen.

    q   Quit.

Each command results in one or multiple lines of output to stdout, followed by an info string, followed by END.

The format of the info string is:

CMD cmd-name cd-status track abs-time rel-time

  cmd-name := {play, stop, ... quit} from above list
  cd-status := {invalid, play, paused}
  cd-status += {completed, error, no_status}
  track := {1..99} CD track
  abs-time := HH:MM:SS elapsed since CD start
  rel-time := HH:MM:SS elapsed since track start

FILES
/dev/cdrom - default cdrom device

ENVIRONMENT
CDTOOLDEV - cdrom device, overrides compile time defaults

SEE ALSO
cdplay(1)

AUTHORS
Main code:
    Thomas Insel <tinsel@tinsel.org>
Enhancements:
    Sven Oliver Moll <smol0075@rz.uni-hildesheim.de>
cdctrl extensions:
    Wade Hampton <whampton@staffnet.com>